<!DOCTYPE html>

<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="generator" content="Docutils 0.5: http://docutils.sourceforge.net/">
<title>Bitten: Installation</title>
<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
</head>
<body>
<div class="document" id="installation">
    <div id="navigation">
      <span class="projinfo">Bitten 0.6</span>
      <a href="index.html">Documentation Index</a>
    </div>
<h1 class="title">Installation</h1>
<div class="contents topic" id="contents">
<p class="topic-title first">Contents</p>
<ul class="auto-toc simple">
<li><a class="reference internal" href="#prerequisites" id="id1">1   Prerequisites</a></li>
<li><a class="reference internal" href="#build-master-configuration" id="id2">2   Build Master Configuration</a></li>
<li><a class="reference internal" href="#running-the-build-slave" id="id3">3   Running the Build Slave</a></li>
</ul>
</div>
<div class="section" id="prerequisites">
<h1>1   Prerequisites</h1>
<p>Bitten is written in Python, so make sure that you have Python installed.
You'll need Python 2.4 or later for running build slave. The build master is
a plugin for <a class="reference external" href="http://trac.edgewall.org">Trac</a> 0.11, and should still work with Python 2.3. Also, make
sure that <a class="reference external" href="http://peak.telecommunity.com/DevCenter/setuptools">setuptools</a>, version 0.6a2 or later, is installed.</p>
<p>If that's taken care of, you just need to download and unpack the Bitten
distribution, and execute the command:</p>
<pre class="literal-block">
$ python setup.py install
</pre>
<p>from the top of the directory where you unpacked (or checked out) the Bitten
code. Note that you may need administrator/root privileges for this step, as
it will by default attempt to install Bitten to the Python site-packages
directory on your system.</p>
<p>It's also a good idea to run the unit tests at this point, to make sure that
the code works as expected on your platform (please note that <a class="reference external" href="http://trac.edgewall.org">Trac</a> needs to
be installed for the tests to run; see below):</p>
<pre class="literal-block">
$ python setup.py test
</pre>
<p>It is also possible to install only the build slave, installing only the
parts of Bitten that are needed by clients to run builds:</p>
<pre class="literal-block">
$ python setup.py --without-master install
</pre>
<p>What's left to do now depends on whether you want to use the build master and
web interface, or just the build slave. In the latter case, you're already
done. You might need to install software that the build of your project
requires, but the Bitten build slave itself doesn't require anything extra.</p>
<p>For the build master and web interface, you'll need to install <a class="reference external" href="http://trac.edgewall.org">Trac</a> 0.11 or
later. Please refer to the Trac documentation for information on how it is installed.</p>
</div>
<div class="section" id="build-master-configuration">
<h1>2   Build Master Configuration</h1>
<p>Once both Bitten and Trac are installed and working, you'll have to introduce
Bitten to your Trac project environment. If you don't have a  Trac project
set up yet, you'll need to do so in order to use Bitten.</p>
<p>If you already have a Trac project environment, the Bitten plugin needs to be
explicitly enabled in the Trac configuration. This is done by adding it to the
<tt class="docutils literal"><span class="pre">[components]</span></tt> section in <tt class="docutils literal"><span class="pre">/path/to/projenv/conf/trac.ini</span></tt>:</p>
<div class="highlight"><pre><span class="k">[components]</span>
<span class="na">bitten.*</span> <span class="o">=</span> <span class="s">enabled</span>
</pre></div>
<p>The Trac web interface should now inform you with an error message that the
environment needs to be upgraded. To do this, run:</p>
<pre class="literal-block">
$ trac-admin /path/to/projenv upgrade
</pre>
<p>This will create the database tables and directories that Bitten requires.
You probably also want to grant permissions to someone (such as yourself)
to manage build configurations, and allow anonymous users to view the
status and results of builds:</p>
<pre class="literal-block">
$ trac-admin /path/to/projenv permission add [yourname] BUILD_ADMIN
$ trac-admin /path/to/projenv permission add anonymous BUILD_VIEW
</pre>
<p>Build slaves (see next section) will need permission to download build
configurations and submit results. You can grant the permission using:</p>
<pre class="literal-block">
$ trac-admin /path/to/projenv permission add [slavegroup] BUILD_EXEC
</pre>
<p>Alternatively you may allow anyone to submit builds by giving anonymous
users this permission.</p>
<p>You should now see an additional tab labeled "Build Status" in the Trac
navigation bar. This link will take you to the list of build configurations,
which at this point is of course empty.</p>
<p>If Bitten is installed, and you are logged in as a user with the required
permissions, you should see additional administration pages inside the “Admin”
area, under a group named “Builds”. These pages allow you to set options of the
build master, and manage build configurations.</p>
<p>Add a new build configuration and fill out the form. Also, add at least one
target platform after saving the configuration. Last but not least, you'll have
to "activate" your new build configuration.</p>
</div>
<div class="section" id="running-the-build-slave">
<h1>3   Running the Build Slave</h1>
<p>The build slave can be run on any machine that can connect to the machine
on which the build master is running. The installation of Bitten should have put
a <cite>bitten-slave</cite> executable on your path. If the script is not on your path,
look for it in the <cite>bin</cite> or <cite>scripts</cite> subdirectory of your Python installation.</p>
<p>To get a list of options for the build slave, execute it with the <cite>--help</cite>
option:</p>
<pre class="literal-block">
$ bitten-slave --help
</pre>
<p>To run the build slave against a Bitten-enabled Trac site installed at
<a class="reference external" href="http://myproject.example.org/trac">http://myproject.example.org/trac</a>, you'd run:</p>
<pre class="literal-block">
$ bitten-slave http://myproject.example.org/trac/builds
</pre>
</div>
    <div id="footer">
      Visit the Bitten open source project at
      <a href="http://bitten.edgewall.org/">http://bitten.edgewall.org/</a>
    </div>
  </div>
</body>
</html>
